public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthias Maier" <tamiko@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/qemu-guest-agent/
Date: Sun, 16 May 2021 20:05:42 +0000 (UTC)	[thread overview]
Message-ID: <1621195529.49081484ba8c8f49ab4846c61a7c47d39a5b40ec.tamiko@gentoo> (raw)

commit:     49081484ba8c8f49ab4846c61a7c47d39a5b40ec
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Sun May 16 19:03:49 2021 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Sun May 16 20:05:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49081484

app-emulation/qemu-guest-agent: version bump to 6.0.0

Closes: https://bugs.gentoo.org/726566
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 app-emulation/qemu-guest-agent/Manifest            |  1 +
 .../qemu-guest-agent/qemu-guest-agent-6.0.0.ebuild | 74 ++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/app-emulation/qemu-guest-agent/Manifest b/app-emulation/qemu-guest-agent/Manifest
index 54512aa781b..79b21e4711a 100644
--- a/app-emulation/qemu-guest-agent/Manifest
+++ b/app-emulation/qemu-guest-agent/Manifest
@@ -1,2 +1,3 @@
 DIST qemu-4.2.0.tar.xz 62222068 BLAKE2B 27c9fbcd5093af425764674817ab9299224bd03f37b5983786f6f437fff1fab3b7da247c55c4ca8b8c42726b9867005944a2f7f04f2d0d94d753961615f901ef SHA512 2a79973c2b07c53e8c57a808ea8add7b6b2cbca96488ed5d4b669ead8c9318907dec2b6109f180fc8ca8f04c0f73a56e82b3a527b5626b799d7e849f2474ec56
 DIST qemu-5.0.0.tar.xz 62426192 BLAKE2B 785d02ef79c95b5c4f0556186054885f9893d4e8a9f4b4f2d6199a4e1ae9c31d7c79dd900305469217f85d61bbe74134b601d5c6c1b0eee2b74792d010f1fd63 SHA512 21ef0cbe107c468a40f0fa2635db2a40048c8790b629dfffca5cd62bb1b502ea8eb133bfc40df5ecf1489e2bffe87f6829aee041cb8a380ff04a8afa23b39fcf
+DIST qemu-6.0.0.tar.xz 107333232 BLAKE2B 7746329d3e13782b7c346ce4052cc517cfc65cd9b2d514d199e4d5b8570ca79566ec04b0c114db2e97c84e68eb551e0d4cdce1b14b91a88fe08d2a5f682c1418 SHA512 ee3ff00aebec4d8891d2ff6dabe4e667e510b2a4fe3f6190aa34673a91ea32dcd2db2e9bf94c2f1bf05aa79788f17cfbbedc6027c0988ea08a92587b79ee05e4

diff --git a/app-emulation/qemu-guest-agent/qemu-guest-agent-6.0.0.ebuild b/app-emulation/qemu-guest-agent/qemu-guest-agent-6.0.0.ebuild
new file mode 100644
index 00000000000..ade6439209c
--- /dev/null
+++ b/app-emulation/qemu-guest-agent/qemu-guest-agent-6.0.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit systemd toolchain-funcs udev python-any-r1
+
+MY_PN="qemu"
+MY_P="${MY_PN}-${PV}"
+
+SRC_URI="http://wiki.qemu.org/download/${MY_P}.tar.xz"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+DESCRIPTION="QEMU Guest Agent (qemu-ga) for use when running inside a VM"
+HOMEPAGE="https://wiki.qemu.org/Features/GuestAgent"
+
+LICENSE="GPL-2 BSD-2"
+SLOT="0"
+IUSE=""
+
+RDEPEND="dev-libs/glib"
+
+DEPEND="${RDEPEND}
+	${PYTHON_DEPS}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+	tc-export AR LD OBJCOPY RANLIB
+
+	local myconf=(
+		--prefix=/usr
+		--sysconfdir=/etc
+		--libdir="/usr/$(get_libdir)"
+		--localstatedir=/
+		--disable-bsd-user
+		--disable-linux-user
+		--disable-system
+		--disable-strip
+		--enable-tools
+		--disable-werror
+		--enable-guest-agent
+		--python="${PYTHON}"
+		--cc="$(tc-getCC)"
+		--cxx="$(tc-getCXX)"
+		--host-cc="$(tc-getBUILD_CC)"
+	)
+	echo "./configure ${myconf[*]}"
+	./configure "${myconf[@]}" || die
+}
+
+src_install() {
+	dobin build/qga/qemu-ga
+
+	# Normal init stuff
+	newinitd "${FILESDIR}/qemu-ga.init-r1" qemu-guest-agent
+	newconfd "${FILESDIR}/qemu-ga.conf-r1" qemu-guest-agent
+
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}/qemu-ga.logrotate" qemu-guest-agent
+
+	# systemd stuff
+	udev_newrules "${FILESDIR}/qemu-ga-systemd.udev" 99-qemu-guest-agent.rules
+
+	systemd_newunit "${FILESDIR}/qemu-ga-systemd.service" \
+		qemu-guest-agent.service
+}
+
+pkg_postinst() {
+	elog "You should add 'qemu-guest-agent' to the default runlevel."
+	elog "e.g. rc-update add qemu-guest-agent default"
+}


             reply	other threads:[~2021-05-16 20:05 UTC|newest]

Thread overview: 67+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-05-16 20:05 Matthias Maier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-03 21:21 [gentoo-commits] repo/gentoo:master commit in: app-emulation/qemu-guest-agent/ Matthias Maier
2024-06-02  5:12 Sam James
2024-06-02  5:12 Sam James
2024-06-02  5:12 Sam James
2024-06-02  5:12 Sam James
2024-05-25  8:26 Sam James
2024-04-29 10:36 Joonas Niilola
2024-04-29 10:36 Joonas Niilola
2024-02-03  3:50 Ionen Wolkens
2024-02-02  3:58 Sam James
2023-08-13  7:42 Joonas Niilola
2023-08-13  7:42 Joonas Niilola
2023-08-01  7:28 Sam James
2023-06-18  3:00 Matthias Maier
2023-05-05 23:32 Matthias Maier
2023-03-04  8:31 Joonas Niilola
2023-03-04  8:27 Joonas Niilola
2023-03-04  8:26 Arthur Zamarin
2022-10-26  3:25 John Helmert III
2022-10-13 14:22 John Helmert III
2022-10-12 22:56 Sam James
2022-10-12 22:56 Sam James
2022-10-12 22:56 Sam James
2021-06-12 17:13 Sam James
2021-05-23 19:04 Michał Górny
2021-05-17  7:49 Agostino Sarubbo
2021-05-17  3:01 Sam James
2020-05-27 15:23 Alexey Shvetsov
2020-05-27 15:23 Alexey Shvetsov
2020-04-20  9:52 Agostino Sarubbo
2020-04-20  7:53 Agostino Sarubbo
2020-04-19 18:12 Matthias Maier
2019-07-31 11:03 Agostino Sarubbo
2019-07-31 10:59 Agostino Sarubbo
2019-04-29  7:14 Matthias Maier
2019-04-08  2:52 Matthias Maier
2019-01-07  0:16 Thomas Deutschmann
2019-01-06 12:26 Mikle Kolyada
2018-12-19 21:47 Matthias Maier
2018-10-20 16:07 Andreas Hüttel
2018-10-02  8:31 Mikle Kolyada
2018-10-01 21:47 Thomas Deutschmann
2018-06-29  5:33 Matthias Maier
2018-06-29  4:50 Matthias Maier
2018-06-29  4:50 Matthias Maier
2018-06-11  8:13 Agostino Sarubbo
2018-06-10 18:46 Thomas Deutschmann
2018-06-10  3:41 Matthias Maier
2018-06-10  3:31 Matthias Maier
2018-06-10  3:31 Matthias Maier
2018-03-18 21:02 Matthias Maier
2018-03-18 21:02 Matthias Maier
2018-03-18 21:02 Matthias Maier
2018-02-11 21:30 Matthias Maier
2018-02-11 21:30 Matthias Maier
2017-11-17 18:47 David Seifert
2017-11-13  3:38 Matthias Maier
2017-11-13  3:38 Matthias Maier
2017-05-03 12:27 Matthias Maier
2016-05-17  4:41 Mike Frysinger
2016-03-28 21:41 Mike Frysinger
2016-03-28 21:41 Mike Frysinger
2015-12-17 15:12 Mike Frysinger
2015-09-08  7:20 Agostino Sarubbo
2015-09-08  7:19 Agostino Sarubbo
2015-08-12  4:24 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1621195529.49081484ba8c8f49ab4846c61a7c47d39a5b40ec.tamiko@gentoo \
    --to=tamiko@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox